## javax.persistence.criteria
Interface CriteriaBuilder.Case<R>

All Superinterfaces:
  Expression<R>, Selection<R>, TupleElement<R>

Enclosing interface:
  CriteriaBuilder

    public static interface CriteriaBuilder.Case<R>

extends Expression<R>

Method Summary
`Expression<R>` `otherwise(Expression<? extends R> result)`
`Expression<R>` `otherwise(R result)`
`CriteriaBuilder.Case<R>` `when(Expression<java.lang.Boolean> condition, Expression<? extends R> result)`
`CriteriaBuilder.Case<R>` `when(Expression<java.lang.Boolean> condition, R result)`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### when

    CriteriaBuilder.Case<R> when(Expression<java.lang.Boolean> condition,
                                 R result)

### when

    CriteriaBuilder.Case<R> when(Expression<java.lang.Boolean> condition,
                                 Expression<? extends R> result)

### otherwise

    Expression<R> otherwise(R result)

### otherwise

    Expression<R> otherwise(Expression<? extends R> result)